summaryrefslogtreecommitdiffstats
path: root/libraries/libsynce
diff options
context:
space:
mode:
author redtricycle <redtricycle@gmail.com>2010-05-12 23:30:42 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:30:42 +0200
commit018274abcdbb23178bd8316fd771f26cb74b8a9a (patch)
tree03720833a7d8c9a8040fcc25cfcd44cd19621d05 /libraries/libsynce
parentc941dd4e497fbe45c55e396e45119adc948368f1 (diff)
downloadslackbuilds-018274abcdbb23178bd8316fd771f26cb74b8a9a.tar.gz
slackbuilds-018274abcdbb23178bd8316fd771f26cb74b8a9a.tar.xz
libraries/libsynce: Added to 12.2 repository
Diffstat (limited to 'libraries/libsynce')
-rw-r--r--libraries/libsynce/README10
-rw-r--r--libraries/libsynce/libsynce.SlackBuild81
-rw-r--r--libraries/libsynce/libsynce.info8
-rw-r--r--libraries/libsynce/slack-desc13
4 files changed, 112 insertions, 0 deletions
diff --git a/libraries/libsynce/README b/libraries/libsynce/README
new file mode 100644
index 0000000000..c014b6500f
--- /dev/null
+++ b/libraries/libsynce/README
@@ -0,0 +1,10 @@
+The purpose of the SynCE project is to provide a means of communication with
+a Windows Mobile, or Windows CE, device from a computer running Linux,
+FreeBSD or a similar operating system.
+
+Libsynce is a common library for various SynCE project tools, containing
+various utility and helper functions. It is required to compile (at least)
+the following parts of the SynCE project:
+
+ o librapi2
+ o librra
diff --git a/libraries/libsynce/libsynce.SlackBuild b/libraries/libsynce/libsynce.SlackBuild
new file mode 100644
index 0000000000..a780d5bd9e
--- /dev/null
+++ b/libraries/libsynce/libsynce.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+# Slackware build script for libsynce
+# Written by redtricycle (redtricycle@gmail.com)
+
+PRGNAM=libsynce
+VERSION=${VERSION:-0.13}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+# Permissions
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+# Compile the application and install it into the $PKG directory
+make
+make install DESTDIR=$PKG
+
+# Strip binaries and libraries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README TODO ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libsynce/libsynce.info b/libraries/libsynce/libsynce.info
new file mode 100644
index 0000000000..6f7d4da18a
--- /dev/null
+++ b/libraries/libsynce/libsynce.info
@@ -0,0 +1,8 @@
+PRGNAM="libsynce"
+VERSION="0.13"
+HOMEPAGE="http://www.synce.org"
+DOWNLOAD="http://superb-west.dl.sourceforge.net/sourceforge/synce/libsynce-0.13.tar.gz"
+MD5SUM="dcd2eef46000d4a8e44ac3c478095ea5"
+MAINTAINER="redtricycle"
+EMAIL="redtricycle@gmail.com"
+APPROVED="dsomero"
diff --git a/libraries/libsynce/slack-desc b/libraries/libsynce/slack-desc
new file mode 100644
index 0000000000..fb3a70b297
--- /dev/null
+++ b/libraries/libsynce/slack-desc
@@ -0,0 +1,13 @@
+ |-----handy-ruler------------------------------------------------------|
+libsynce: libsynce (Common library for SynCE)
+libsynce:
+libsynce: Libsynce is a common library for various SynCE project tools,
+libsynce: containing various utility and helper functions. It is required to
+libsynce: compile (at least) the following parts of the SynCE project:
+libsynce:
+libsynce: o librapi2
+libsynce: o librra
+libsynce:
+libsynce: Homepage: http://www.synce.org/
+libsynce:
+